Bug 27993 - aic7xxx module crashes on boot
aic7xxx module crashes on boot
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-16 12:53 EST by Habig, Alec
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-21 14:33:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Habig, Alec 2001-02-16 12:53:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0-0.99.23smp i686; en-US; 0.8)

Using the kernel-smp-2.4.0-0.99.23 package (i686), the aic7xxx.o module
crashes insmod on boot (as it loads the module from the ramdisk). Lots of
register dump foo I will cut-n-paste by paper and pencil if you want it -
it starts off with

  "NMI Watchdog detected LOCKUP on CPU1, registers:"

Note that my scsi controller is an AIC-7899 U160M, which seems to feature
prominantly in the bug list.

Using the aix7xxx_old module instead works.  Booting with
kernel-smp-2.2.17-14, the stock aix7xxx works.

Reproducible: Always
Steps to Reproduce:
1. Try to boot using kernel-smp-2.4.0-0.99.23

Actual Results:  insmod locks up a CPU as it loads the aic7xxx module from
the ramdisk.  Boot stops, system hangs.

Expected Results:  It should have loaded the scsi driver, mounted the
system disk, and booted.
Comment 1 Doug Ledford 2001-02-21 18:51:15 EST
This is actually a bug in the NMI lockup detection code.  The latest kernel
builds should have this solved already.  Please verify that this is still a
problem with the latest kernel, and if so re-open this report (note, it only
effects aic7xxx_new and not aic7xxx now because it only happens with drivers
that use the new SCSI error handling code and the original aic7xxx driver uses
the old code).

Note You need to log in before you can comment on or make changes to this bug.